Speech analysis overview for the workspace
curl --request GET \
--url https://api.pineyard.ai/speech/overview \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/speech/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/speech/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"totals": {
"analysed": 123,
"inFlight": 123,
"failed": 123,
"averageScore": 123,
"successRate": 123,
"averageDuration": 123,
"totalDuration": 123
},
"scoreDistribution": [
{
"label": "<string>",
"from": 123,
"to": 123,
"count": 123
}
],
"outcomes": [
{
"label": "<string>",
"count": 123,
"verdict": "won"
}
],
"reps": [
{
"id": "<string>",
"name": "<string>",
"analysed": 123,
"averageScore": 123,
"successRate": 123
}
],
"weakestSections": [
{
"sectionId": "<string>",
"sectionName": "<string>",
"averagePercent": 123,
"sampleSize": 123
}
],
"funnel": [
{
"label": "<string>",
"count": 123,
"pct": 123
}
],
"talkTime": {
"avgTalkRatio": 123,
"avgSilenceRatio": 123,
"avgWordsPerMinute": 123,
"measured": 123
}
}Overview
Speech analysis overview for the workspace
GET
/
speech
/
overview
Speech analysis overview for the workspace
curl --request GET \
--url https://api.pineyard.ai/speech/overview \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/speech/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/speech/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"totals": {
"analysed": 123,
"inFlight": 123,
"failed": 123,
"averageScore": 123,
"successRate": 123,
"averageDuration": 123,
"totalDuration": 123
},
"scoreDistribution": [
{
"label": "<string>",
"from": 123,
"to": 123,
"count": 123
}
],
"outcomes": [
{
"label": "<string>",
"count": 123,
"verdict": "won"
}
],
"reps": [
{
"id": "<string>",
"name": "<string>",
"analysed": 123,
"averageScore": 123,
"successRate": 123
}
],
"weakestSections": [
{
"sectionId": "<string>",
"sectionName": "<string>",
"averagePercent": 123,
"sampleSize": 123
}
],
"funnel": [
{
"label": "<string>",
"count": 123,
"pct": 123
}
],
"talkTime": {
"avgTalkRatio": 123,
"avgSilenceRatio": 123,
"avgWordsPerMinute": 123,
"measured": 123
}
}Required scope:
speech.viewAuthorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes

